<?PHP
    function check_integer($which) {
        if(isset($_REQUEST[$which])){
            if (intval($_REQUEST[$which])>0) {
                //check the paging variable was set or not, 
                //if yes then return its number:
                //for example: ?page=5, then it will return 5 (integer)
                return intval($_REQUEST[$which]);
            } else {
                return false;
            }
        }
        return false;
    }//end of check_integer()

    function get_current_page() {
        if(($var=check_integer('page'))) {
            //return value of 'page', in support to above method
            return $var;
        } else {
            //return 1, if it wasnt set before, page=1
            return 1;
        }
    }//end of method get_current_page()

    function doPages($page_size, $thepage, $query_string, $total) {
        
        //per page count
        $index_limit = 10;

        //set the query string to blank, then later attach it with $query_string
        $query='';
        
        if(strlen($query_string)>0){
            $query = "&amp;".$query_string;
        }
        
        //get the current page number example: 3, 4 etc: see above method description
        $current = get_current_page();
        $total_pages=ceil($total/$page_size);
        $start=max($current-intval($index_limit/2), 1);
        $end=$start+$index_limit-1;

?>
<div class="text-center">
<ul class="pagination">
  <li><a href="<?=$thepage?>?page=1<?=$query?>" title="go to page <?=$i?>" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
<?
        for ($i = $start; $i <= $end && $i <= $total_pages; $i++){
            if($i==$current) {
                echo '<li class="active"><a href="'.$thepage.'?page='.$i.$query.'" title="go to page '.$i.'">'.$i.'</a></li>';
            } else {
                echo '<li><a href="'.$thepage.'?page='.$i.$query.'" title="go to page '.$i.'">'.$i.'</a></li>';
            }
        }
?>

  <li><a href="<?=$thepage?>?page=<?=$total_pages?><?=$query?>" title="go to page <?=$i?>"  aria-label="Next">
            <span aria-hidden="true">&raquo;</span></a></li>
</ul>
</div>
<?
    }
?>

